> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-baton-kubernetes.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Entitlement Owner

> DeleteEntitlementOwner deletes an entitlement ownership source for an app.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v2/apps/{app_id}/owners/entitlements/{role_slug}/{app_entitlement_ref_app_id}/{app_entitlement_ref_id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v2/apps/{app_id}/owners/entitlements/{role_slug}/{app_entitlement_ref_app_id}/{app_entitlement_ref_id}:
    delete:
      tags:
        - App Owner V2
      summary: Delete Entitlement Owner
      description: >-
        DeleteEntitlementOwner deletes an entitlement ownership source for an
        app.
      operationId: c1.api.app.v2.AppOwners.DeleteEntitlementOwner
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The appId field.
            type: string
        - in: path
          name: role_slug
          required: true
          schema:
            description: The roleSlug field.
            type: string
        - in: path
          name: app_entitlement_ref_app_id
          required: true
          schema:
            description: The appId field.
            type: string
        - in: path
          name: app_entitlement_ref_id
          required: true
          schema:
            description: The id field.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.app.v2.DeleteAppEntitlementOwnerRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.app.v2.DeleteAppEntitlementOwnerResponse
          description: >-
            DeleteEntitlementOwnerResponse is the empty response for deleting an
            entitlement ownership source.
      x-codeSamples:
        - lang: go
          label: DeleteEntitlementOwner
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AppOwnersV2.DeleteEntitlementOwner(ctx, operations.C1APIAppV2AppOwnersDeleteEntitlementOwnerRequest{\n        AppEntitlementRefAppID: \"<id>\",\n        AppEntitlementRefID: \"<id>\",\n        AppID: \"<id>\",\n        RoleSlug: \"<value>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.DeleteEntitlementOwnerResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.appOwnersV2.deleteEntitlementOwner({
                appId: "<id>",
                roleSlug: "<value>",
                appEntitlementRefAppId: "<id>",
                appEntitlementRefId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.app.v2.DeleteAppEntitlementOwnerRequestInput:
      description: >-
        DeleteEntitlementOwnerRequest is the request for deleting an entitlement
        ownership source.
      properties:
        appEntitlementRef:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.AppEntitlementRef'
            - type: 'null'
      title: Delete App Entitlement Owner Request
      type: object
      x-speakeasy-name-override: DeleteAppEntitlementOwnerRequest
    c1.api.app.v2.DeleteAppEntitlementOwnerResponse:
      description: >-
        DeleteEntitlementOwnerResponse is the empty response for deleting an
        entitlement ownership source.
      title: Delete App Entitlement Owner Response
      type: object
      x-speakeasy-name-override: DeleteAppEntitlementOwnerResponse
    c1.api.app.v1.AppEntitlementRef:
      description: The AppEntitlementRef message.
      properties:
        appId:
          description: The appId field.
          type:
            - string
            - 'null'
        id:
          description: The id field.
          type:
            - string
            - 'null'
      title: App Entitlement Ref
      type: object
      x-speakeasy-name-override: AppEntitlementRef
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````